> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/yazilarim/google-play-store.md).

# Google Play Store

Google Play Store ile bilmemiz gerekenler

## 🚙 Google Play Store'a Uygulamayı Aktarma

Uygulamalarınızı google play store'a yüklemek için **developer** hesabı açmanı gerekmektedir.

* Google tek seferlik **25$**'lık bir ücret almaktadır
  * Hesabınızı kapatmanız durumunda bu ücret **iade** edilecektir
  * Hesabınızdaki uygulamaları başka hesaplara aktarmak için [buraya](https://play.google.com/apps/publish/?account=6847951054083969806#AppTransferPlace) bakabilirsin
  * Detaylı bilgi için [buraya](https://support.appmachine.com/hc/en-us/articles/218378068-Transfer-your-app-from-one-Google-Play-developer-account-to-another) bakabilirsin.
* Uygulama satışlarının **%30**'u *Google*'a gitmektedir

## 🛰️ Yayınlamadan Önce

* 👀 Yayınlama işlemlerinden önce [📖 Publish your app](https://developer.android.com/studio/publish) yazısından yapman gerekenleri okumalısın
* ✨ Uygulama sürümünü `build.gradle (app)` içerisinde `versionCode` ve `versionName` alanlarını artırarak yenilemelisin. [📖 Version your app](https://developer.android.com/studio/publish/versioning)
* 👀 Son olarak [📖 App Sign In](https://developer.android.com/studio/publish/app-signing) alanında gözden geçirmek bir kaç detay var
* [🚀 Upload your app to the Play Console](https://developer.android.com/studio/publish/upload-bundle) ile play store'a aktarabilirsin

{% hint style="info" %}
‍🧙‍♂ Detaylı bilgi için [Faydalı Bağlantılar](#faydali-baglantilar) alanına bakabilirsin.
{% endhint %}

{% hint style="warning" %}
📢 Eğer key bilgini kaybedersen, [Developer Console - App singing](https://play.google.com/apps/publish/?account=8950082947306358822#KeyManagementPlace:p=com.yemreak.depremya\&appid=4975744681878245790) üzerinden Google'a mail atabilirsin.
{% endhint %}

## 🦶 Uygulamayı Sıkıştırma

* ➕ `build.gradle` (app) dosyasına alttaki `release` yapılandırmasını ekleyin
* 💦 Gereksiz kodları temizleyecektir
* 🗃️ Kaynakları sıkıştıracaktır

```groovy
android {
    // Other settings

    buildTypes {
        release {
            minifyEnabled true
            shrinkResources true
            // proguardFiles ...
        }
    }
}
```

{% hint style="info" %}
‍🧙‍♂ Detaylı bilgi için [Reduce App Size](https://developer.android.com/topic/performance/reduce-apk-size) alanına bakabilirsin.
{% endhint %}

## 🔗 Faydalı Bağlantılar

* [📖 Publish your app](https://developer.android.com/studio/publish)
* [📖 Version your app](https://developer.android.com/studio/publish/versioning)
* [📖 App Sign In](https://developer.android.com/studio/publish/app-signing)
* [📖 Upload your app to the Play Console](https://developer.android.com/studio/publish/upload-bundle)

{% hint style="success" %}
🚀 Bu alandaki bağlantılar [YEmoji \~Bağlantılar](https://emoji.yemreak.com/kullanim/baglantilar) yapısına uygundur
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yemreak.com/arsiv/yazilarim/google-play-store.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
